#pragma once

#include "Widget.h"

class VerticalSpacer : public Widget
{
    std::vector<double> mScales;

public:
    VerticalSpacer();

    static std::unique_ptr<VerticalSpacer> Create();

    void AddWidget(WidgetUPtr widget) override;

    void AddWidgetWithScale(WidgetUPtr widget, double scale);

    void AddChildLayers(const PaintEvent* event) override;

    void OnPaintEvent(const PaintEvent* event) override;
};

using VerticalSpacerUPtr = std::unique_ptr<VerticalSpacer>;
